## ros-humble-robot-upstart 1.0.3

=== debian/changelog ===
ros-humble-robot-upstart (1.0.3-1jammy) jammy; urgency=high

  * Source workspace after exporting domain ID and RMW
  * Contributors: Roni Kreinin

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Fri, 14 Jul 2023 04:00:00 -0000

ros-humble-robot-upstart (1.0.2-1jammy) jammy; urgency=high

  * Removed whitespace
  * Use a single rmw_config arg for both fastrtps and cyclonedds
  * Added ROS_DOMAIN_ID arg
  * Removed master_uri, added rmw, cyclonedds_config, and fastrtps_config
  * Contributors: Roni Kreinin

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Thu, 21 Apr 2022 04:00:00 -0000

ros-humble-robot-upstart (1.0.1-1jammy) jammy; urgency=high

  * Added ament_index_python as run dep.
  * Removed un-used import.
  * Switched setup.cfg parameters to use underscores.
  * Updated setup.py to version 1.0.0.
  * Contributors: Tony Baltovski

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Thu, 07 Apr 2022 04:00:00 -0000

ros-humble-robot-upstart (1.0.0-1jammy) jammy; urgency=high

  * Fixed package.xml and setup.py information.
  * Removed CMakeLists.txt.
  * Removed src folder.
  * ros2 foxy
  * Contributors: Tony Baltovski, zifengqi123

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Wed, 16 Feb 2022 05:00:00 -0000

ros-humble-robot-upstart (0.4.2-1jammy) jammy; urgency=high

  * Use setpriv instead of setuidgid
    Replicates change from melodic-devel.  Setpriv allows use of group permissions, reducing the need to globally apply r/w permissions to devices.
  * empty -> EmPy
  * Added License.
  * Contributors: Chris I-B, Mikael Arguedas, Tony Baltovski

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Wed, 16 Feb 2022 05:00:00 -0000

ros-humble-robot-upstart (0.4.1-1jammy) jammy; urgency=high

  * Enable customization of  After= in service (#104 <https://github.com/clearpathrobotics/robot_upstart/issues/104>)
    * Cosmetic
    Remove unnecessary parenthesis.
    * Correct typo
    * FIX: Remove unreachable code
    * Enable customizable After= in service
    This feature enables the user to define the services after which the
    generated service will. This is handy when hardware-related system
    services have to start before the ROS software.
  * Added util-linux as dependency for setpriv.
  * Bumped CMake version to avoid author warning.
  * Contributors: Tkostas, Tony Baltovski

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Wed, 12 May 2021 04:00:00 -0000

ros-humble-robot-upstart (0.4.0-1jammy) jammy; urgency=high

  * Updated maintainers.
  * fix remaining roslint error
  * fix most roslint failures
  * run ci on ROS noetic
  * changed unittest file to use env python3
  * updated to work with python3
  * Update the python scripts to be python3-compatible
  * [doc] Add commands when systemd is chosen. (#78 <https://github.com/clearpathrobotics/robot_upstart/issues/78>)
    When systemd is specified as a provider, commands are different.
    https://wiki.ubuntu.com/SystemdForUpstartUsers
    [doc] Add systemd start/stop commands.
  * Melodic compatibility: modify getifip for bionic output (#88 <https://github.com/clearpathrobotics/robot_upstart/issues/88>)
    * Add net-tools as dependency because ifconfig is used
    * Modify getifip to handle bionic ifconfig output
  * Break line that the linter doesn't like. (#87 <https://github.com/clearpathrobotics/robot_upstart/issues/87>)
  * [doc] Clarify the logic for automated job name determination. (#82 <https://github.com/clearpathrobotics/robot_upstart/issues/82>)
    Problem addressed
    =================
    When --job option is not passed to rosrun robot_upstart install, the job name gets determined automatically but the logic of it is not clear.
    Solution to the problem
    =======================
    Add an explanation to the document.
  * [CI][kinetic-devel] Update to Xenial. (#79 <https://github.com/clearpathrobotics/robot_upstart/issues/79>)
    * [CI][kinetic-devel] Update to Xenial.
    On a PR https://github.com/clearpathrobotics/robot_upstart/pull/78 I saw [CI failure](https://travis-ci.org/clearpathrobotics/robot_upstart/builds/507510733?utm_source=github_status&utm_medium=notification) that seems to be related to platform issue. Using trusty for xenial-based job might not work (any more?).
    * [CI] Switch to industrial_ci. Add ROS2 dashing.
    * [CI] Remove ROS2 dashing for now (see https://github.com/clearpathrobotics/robot_upstart/pull/79#issuecomment-533908848).
  * Add support for wait flag in the install script (#73 <https://github.com/clearpathrobotics/robot_upstart/issues/73>)
  * Contributors: Chris I-B, Frederik Mazur Andersen, Isaac I.Y. Saito, Mateusz Sadowski, Mikael Arguedas, Mike Purvis, Ramon Wijnands, Tony Baltovski

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Mon, 01 Mar 2021 05:00:00 -0000

ros-humble-robot-upstart (0.3.0-1jammy) jammy; urgency=high

  * Add a dependency onto network-online.target (#67 <https://github.com/clearpathrobotics/robot_upstart/issues/67>)
  * Clarify the reason of the error due to wrong pkgpath passed. (#57 <https://github.com/clearpathrobotics/robot_upstart/issues/57>)
  * Allow ROS_HOME to be set previously by env file. (#54 <https://github.com/clearpathrobotics/robot_upstart/issues/54>)
  * Contributors: Isaac I.Y. Saito, Thomas Furfaro, mhosmar-cpr

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Wed, 23 May 2018 04:00:00 -0000

ros-humble-robot-upstart (0.2.2-1jammy) jammy; urgency=high

  * Added a spin wait until ros processes exit. (#40 <https://github.com/clearpathrobotics/robot_upstart/issues/40>)
  * Moved detect_providers to providers.py (#46 <https://github.com/clearpathrobotics/robot_upstart/issues/46>)
  * Miscellaneous source code fixups.
  * Contributors: Mike Purvis, Tony Baltovski, Zac Witte

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Mon, 23 Jan 2017 05:00:00 -0000


