=== debian/control ===
Source: ros-humble-robot-upstart
Section: misc
Priority: optional
Maintainer: Chris Iverach-Brereton <civerachb@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-humble-ament-copyright <!nocheck>, ros-humble-ament-flake8 <!nocheck>, ros-humble-ament-pep257 <!nocheck>, ros-humble-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-robot-upstart
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-humble-ament-index-python, ros-humble-ros-workspace
Description: The robot_upstart package provides scripts which may be used to install and uninstall Ubuntu Linux upstart jobs which launch groups of roslaunch files.
